/*! @file common.h

	@brief Methods to handle the data file used in both
	GradeReportPage() and HistographPage().

	$Author: eeyore $
	$Date: 2004/10/15 04:38:38 $
	
	Copyright (c) 2004 eeyore@monsterworks.com
	This program is free software; you can redistribute it
	and/or modify it under the terms of the GNU General Public
	License as published by the Free Software Foundation version 2.
	
	This program is distributed in the hope that it wil be found useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MECHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the @ref GPL in
	the documentation or read the source of MonsterworksCopyright.h.
	
	You should have received a copy of the GNU General Public Licence
	along with this program; if not, write to the Free Software Foundation,
	Inc., 59 Temple Place - Suite 330, Boston MA 02111-1307 USA.
	
*/
#ifndef MNST_H_common
#define MNST_H_common
#include <MonsterworksCopyright.h>

#include <string>
#include <vector>
#include <fstream>

namespace monsterworks {
namespace cgi {
namespace tablereporter {

//! reads a line and splits it at tab characters
std::vector<std::string>	LineToVector(std::ifstream* inDataStream);

}
}
}

#endif // #ifndef MNST_H_common